/*  GadTools layout toolkit
**
**  Copyright  1993-1995 by Olaf `Olsen' Barthel
**  Freely distributable.
*/

#include "gtlayout_global.h"

VOID __regargs
LTP_SetPens(struct RastPort *rp, UWORD apen, UWORD bpen,UBYTE mode)
{
	if(V39)
		SetABPenDrMd(rp,apen,bpen,mode);
	else
	{
		if(apen != rp -> FgPen)
			SetAPen(rp,apen);

		if(bpen != rp -> BgPen)
			SetBPen(rp,bpen);

		if(mode != rp -> DrawMode)
			SetDrMd(rp,mode);
	}
}


/*****************************************************************************/


VOID __regargs
LTP_SetAPen(struct RastPort *rp,UWORD apen)
{
	ULONG Pen;

	if(V39)
		Pen = GetAPen(rp);
	else
		Pen = rp -> FgPen;

	if(Pen != apen)
		SetAPen(rp,apen);
}


/*****************************************************************************/


VOID __regargs
LTP_SetFont(LayoutHandle *handle,struct TextFont *font)
{
	SetFont(&handle -> RPort,font);

	if(handle -> Window)
		SetFont(handle -> Window -> RPort,font);
}
