**
**  GadTools layout toolkit
**
**  Copyright  1993-1995 by Olaf `Olsen' Barthel
**  Freely distributable.
**

	include "exec/types.i"
	include	"exec/nodes.i"
	include "exec/resident.i"

	include	"gtlayout.library_rev.i"

	xref	LibInitTab

	section	text,CODE

*-------------------------------------------------------------------------

	moveq	#0,d0		; word
	rts			; word

*-------------------------------------------------------------------------

	xref	EndTag

RomTag:
	dc.w	RTC_MATCHWORD
	dc.l	RomTag
	dc.l	EndTag
	dc.b	RTF_AUTOINIT	; yet auto-init
	dc.b	VERSION		; version
	dc.b	NT_LIBRARY
	dc.b	0		; priority
	dc.l	LibName
	dc.l	LibID
	dc.l	LibInitTab	; ptr to init table

*-------------------------------------------------------------------------

	dc.b	0,'$VER: '
	VERS
	dc.b	' ('
	DATE
	dc.b	')'
	ifd	CPU_68030
	dc.b	' MC68020/030/040/060'
	else
	dc.b	' Generic 68k'
	endc
	dc.b	' Version',13,10,0

	cnop	0,4

*-------------------------------------------------------------------------

	xref	_BSSBAS
	xref	_BSSLEN

	dc.l	_BSSBAS
	dc.l	_BSSLEN

*-------------------------------------------------------------------------

	xdef	LibName

LibName:
	dc.b	'gtlayout.library',0

*-------------------------------------------------------------------------

	cnop	0,4

	xdef	LibID

LibID:
	VSTRING

*-------------------------------------------------------------------------

	cnop	0,4

	xdef	LibVersion
	xdef	LibRevision

LibVersion:
	dc.l	VERSION

LibRevision:
	dc.l	REVISION

*-------------------------------------------------------------------------

	end
